
@import url('https://fonts.googleapis.com/css2?family=Diphylleia&family=Poppins&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Quintessential&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Freehand&display=swap');


html{
  scroll-behavior: smooth;
}

body{
  font-family: 'Quintessential', cursive;
  /* font-family: 'Freehand', cursive; */
  color: #f1f1f1;
}

.bg-base-100{
  background-color: #121212;
}

.overlay {
    height: 100vh;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0, 0.9);
    overflow-x: hidden;
    transition: 0.5s;
  }
  
  .overlay-content {
    position: relative;
    top: 25%;
    width: 100%;
    text-align: center;
    margin-top: 30px;
  }
  
  .overlay a {
    padding: 8px;
    text-decoration: none;
    font-size: 36px;
    color: #818181;
    display: block;
    transition: 0.3s;
  }
  
  .overlay a:hover, .overlay a:focus {
    color: #f1f1f1;
  }
  
  .overlay .closebtn {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
  }
  
  @media screen and (max-height: 450px) {
    .overlay a {font-size: 20px}
    .overlay .closebtn {
    font-size: 40px;
    top: 15px;
    right: 35px;
    }
  }
  .glow {
    /* font-size: 80px; */
    font-family: 'Diphylleia', serif;
    font-size: x-large;
    color: #fff;
    text-align: center;
    -webkit-animation: glow 1s ease-in-out infinite alternate;
    -moz-animation: glow 1s ease-in-out infinite alternate;
    animation: glow 1s ease-in-out infinite alternate;
  }
  
  /* @-webkit-keyframes glow {
    from {
      text-shadow: 0 0 2px #fff, 0 0 4px #fff, 0 0 6px #39ff14, 0 0 8px #39ff14, 0 0 10px #39ff14, 0 0 12px #39ff14, 0 0 14px #39ff14;
    }
    to {
      text-shadow: 0 0 4px #fff, 0 0 6px #4dff14, 0 0 8px #4dff14, 0 0 10px #4dff14, 0 0 12px #4dff14, 0 0 14px #4dff14, 0 0 16px #4dff14;
    }
  } */

  @-webkit-keyframes glow {
    from {
      text-shadow: 0 0 2px black, 0 0 4px #4666ff, 0 0 6px #4666ff, 0 0 8px #4666ff, 0 0 10px #4666ff, 0 0 12px #4666ff, 0 0 14px #4666ff;
    }
    to {
      text-shadow: 0 0 4px black, 0 0 6px #D22730, 0 0 8px #D22730, 0 0 10px #D22730, 0 0 12px #D22730, 0 0 14px #D22730, 0 0 16px #D22730;
    }
  }

  canvas {
    width: 100%;
    height: 100%;
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    z-index: -9999;
  }

  .body{
    /* From https://css.glass */
background: rgba(255, 255, 255, 0.07);
/* border-radius: 16px; */
box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
backdrop-filter: blur(0px);
-webkit-backdrop-filter: blur(0px);
border: 0px solid rgba(255, 255, 255, 0.45);
  }

  .boxes{/* From https://css.glass */
    background: rgba(0, 0, 0, 0.51);
    /* border-radius: 16px; */
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(1px);
    -webkit-backdrop-filter: blur(0px);
    border: 1px solid rgba(0, 0, 0, 0.45);
  }
  .codes{
    /* From https://css.glass */
background: rgba(0, 0, 0, 0.69);
/* border-radius: 16px; */
box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
backdrop-filter: blur(0px);
-webkit-backdrop-filter: blur(0px);
border: 1px solid rgba(0, 0, 0, 0.45);
  }

  .typed {
    /* overflow: hidden;
    white-space: nowrap; */
    /* width: 0; */
    animation: typing;
    animation-duration: 1.5s;
    animation-timing-function: steps(30, end);
    /* animation-fill-mode: forwards; */
  }
    
  @keyframes typing {
    from { width: 0 }
    to { width: 100% }
  }